Bug 820915 - Version specification mismatch in quickstart examples
Version specification mismatch in quickstart examples
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: unspecified (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 6.0.0
Assigned To: Tristan Tarrant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 06:41 EDT by Martin Gencur
Modified: 2013-10-06 20:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gencur 2012-05-11 06:41:17 EDT
Description of problem:

* hotrod-endpoint example contains wrong version specifications in pom.xml, these are not aligned with current release ER8
* carmart (non-transactional version) contains wrong version in README.md (mvn initialize -Pinit-repo -Ddatagrid.dist=/home/anyuser/jboss-datagrid-library-6.0.0.ER4-redhat-1) - I'd suggest replacing /home/anyuser/jboss-datagrid-library-6.0.0.ER4-redhat-1 with something like this (literally): /home/anyuser/jboss-datagrid-library-<version> so that with next releases we don't have to care about this readme - whether it contains right or wrong version. And I would do it throughout all readmes in the Quickstart distribution.
Comment 1 Martin Gencur 2012-05-11 09:22:14 EDT
I don't want to create another BZ for this... Tristan, could you please update the readme for carmart (non-transactional)? It mentions jdg-quickstart/carmart/src/main/resources/META-INF/JDG.properties but the example actually contains jdg-quickstart/carmart/src/main/resources/META-INF/datagrid.properties

Thanks
Comment 2 Tomas Sykora 2012-05-18 06:43:17 EDT
Regarding to ER9 (http://download.lab.bos.redhat.com/devel/candidates/JDG/JDG-6.0.0-ER9.1/jboss-datagrid-quickstarts-1.0.0.zip):

* carmart README.md: mvn initialize -Pinit-repo -Ddatagrid.dist=/home/anyuser/jboss-datagrid-library-$VERSION seems to be ok now

Issues:

* carmart README.md is still mentioning jdg-quickstart/carmart/src/main/resources/META-INF/JDG.properties which should be ...META-INF/datagrid.properties 


* hotrod-endpoint/pom.xml 

<datagrid.version>5.1.3.ER6-redhat-1</datagrid.version>
<jboss.logging.version>3.1.0.GA-redhat-1</jboss.logging.version>
<jboss.marshalling.version>1.3.11.GA-redhat-1</jboss.marshalling.version>

should be (according to lib directory in http://download.lab.bos.redhat.com/devel/candidates/JDG/JDG-6.0.0-ER9.1/jboss-datagrid-library-6.0.0.ER9.zip):

<datagrid.version>5.1.3."proper version here? ER9? or $VERSION?"-redhat-1</datagrid.version>
<jboss.logging.version>3.1.1.GA-redhat-1</jboss.logging.version>
<jboss.marshalling.version>1.3.14.GA-redhat-1</jboss.marshalling.version>


There are only suggestions from my side here. If it is my misunderstanding please let me know. 

Additionally I suggest to do this changes (if they are correct) here too: https://github.com/infinispan/jdg-quickstart. Otherwise it can lead into some little confusion of users.
Comment 3 Martin Gencur 2012-05-22 02:23:05 EDT
The problems that I previously spotted were fixed. There are, however, new issues, tracked under https://bugzilla.redhat.com/show_bug.cgi?id=823497

Note You need to log in before you can comment on or make changes to this bug.